Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 891283 - Port to python3?
Port to python3?
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: m2crypto (Show other bugs)
rawhide
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Matěj Cepl
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: PYTHON3-UPSTREAM
  Show dependency treegraph
 
Reported: 2013-01-02 08:04 EST by Matěj Cepl
Modified: 2018-04-11 03:32 EDT (History)
4 users (show)

See Also:
Fixed In Version: m2crypto-0.28.2-2.fc29 m2crypto-0.28.2-2.fc27
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-13 19:13:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2013-01-02 08:04:07 EST
This is just an effort to collect all what we know about porting m2crypto to python3.
Comment 2 Fedora End Of Life 2013-04-03 14:49:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Jan Kurik 2015-07-15 10:54:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 4 Matěj Cepl 2018-02-19 08:02:35 EST
Fixed upstream https://pypi.org/project/M2Crypto/0.28.2/
Comment 5 Miloslav Trmač 2018-02-21 14:16:10 EST
Note to self: Per discussion in upstream, let 0.28.2 live in rawhide for a bit, then backport to F27 and later.
Comment 6 Miloslav Trmač 2018-02-21 16:15:38 EST
Built in F29, F28 build starting.

(Feel free to ping me about F27 if I forgot.)
Comment 7 Fedora Update System 2018-03-02 22:39:35 EST
m2crypto-0.28.2-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c1039488d8
Comment 8 Fedora Update System 2018-03-03 12:59:05 EST
m2crypto-0.28.2-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c1039488d8
Comment 9 Fedora Update System 2018-03-13 19:13:49 EDT
m2crypto-0.28.2-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.